package com.koobietech.eas.service;

import com.anji.captcha.model.common.ResponseModel;
import com.koobietech.eas.common.result.JsonResult;
import com.koobietech.eas.dao.Pojo.AdminPojo;
import com.koobietech.eas.dao.adminLoginPojo.UserDetail;
import com.koobietech.eas.dao.dto.LoginToken;


public interface StudentLoginService {
    LoginToken studentLogin(AdminPojo adminPojo);

    LoginToken refreshToken(String refreshToken);

    //将ResponseModel返回值类型转成JsonResult返回类型
    JsonResult verifyToJsonResult(ResponseModel response);

    UserDetail getStudentInfo(String token);
}
