package com.koobietech.eas.dao.Pojo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author lc
 */
@Data
public class EasArcTlsAttendancePojo implements Serializable {

    @Excel(name = "签到日期")
    private Date checkinDate;

    @Excel(name = "学员档案号")
    private String studentNumber;

    //a表示正常出勤, b表示迟到、早退, c表示旷课, d表示请假, e表示无效
    @Excel(name = "上午出勤状态")
    private String morning;

    //a表示正常出勤,   b表示迟到、早退, c 表示旷课, d 表示请假, e表示无效"
    @Excel(name = "下午出勤状态")
    private String afternoon;

    @Excel(name = "学员姓名")
    private String studentName;

    @Excel(name = "类别" )
    private Integer category;

    @Excel(name = "科目" )
    private Integer subject;

    @Excel(name = "创建时间" )
    private Date createTime;

    private static final long serialVersionUID = 1L;

}